#pragma once

#include "CoreMinimal.h"
#include "BaseSurvivorAnimInstance.h"
#include "GameplayTagContainer.h"
#include "WakeUpSurvivorSubAnimInstance.generated.h"

class UAnimSequence;

UCLASS(Blueprintable, NonTransient)
class DBDANIMATION_API UWakeUpSurvivorSubAnimInstance : public UBaseSurvivorAnimInstance
{
	GENERATED_BODY()

protected:
	UPROPERTY(BlueprintReadWrite, Transient)
	bool _isBeingWokenUp;

	UPROPERTY(BlueprintReadWrite, Transient)
	bool _isWakingUpOther;

	UPROPERTY(EditAnywhere)
	FGameplayTag _wakingUpOtherTag;

	UPROPERTY(EditAnywhere)
	FGameplayTag _beingWokenUpTag;

	UPROPERTY(EditAnywhere)
	FGameplayTag _asWakingUpOtherTag;

	UPROPERTY(EditAnywhere)
	FGameplayTag _asBeingWokenUpTag;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	UAnimSequence* _asWakingUpOther;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	UAnimSequence* _asBeingWokenUp;

public:
	UWakeUpSurvivorSubAnimInstance();
};

FORCEINLINE uint32 GetTypeHash(const UWakeUpSurvivorSubAnimInstance) { return 0; }
